---
action_cable:
  worker_pool_size: 4
asdf:
  opt_out: false
charts_gitlab:
  auto_update: true
  enabled: false
clickhouse:
  bin: "/usr/bin/clickhouse"
  data_dir: "/home/git/gdk/clickhouse/data"
  dir: "/home/git/gdk/clickhouse"
  enabled: false
  http_port: 8123
  interserver_http_port: 9009
  log_dir: "/home/git/gdk/log/clickhouse"
  log_level: trace
  max_memory_usage: 1000000000
  max_server_memory_usage: 2000000000
  max_thread_pool_size: 1000
  tcp_port: 9001
common:
  ca_path: ''
dev:
  checkmake:
    version: 8915bd4
elasticsearch:
  enabled: false
  version: 8.2.0
gdk:
  ask_to_restart_after_update: true
  auto_rebase_projects: false
  auto_reconfigure: true
  debug: false
  experimental:
    auto_reconfigure: true
    quiet: true
    ruby_services: false
  overwrite_changes: false
  protected_config_files: []
  quiet: true
  runit_wait_secs: 20
  start_hooks:
    after: []
    before: []
  stop_hooks:
    after: []
    before: []
  update_hooks:
    after: []
    before:
    - cd gitlab && bin/spring stop || true
  use_bash_shim: false
gdk_root: "/home/git/gdk"
geo:
  enabled: false
  node_name: gdk
  registry_replication:
    enabled: false
    primary_api_url: http://localhost:5000
  secondary: false
git:
  bin: "/usr/local/bin/git"
git_repositories: []
gitaly:
  address: "/home/git/gdk/gitaly.socket"
  assembly_dir: "/home/git/gdk/gitaly/assembly"
  auth_token: ''
  auto_update: true
  config_file: "/home/git/gdk/gitaly/gitaly.config.toml"
  dir: "/home/git/gdk/gitaly"
  enabled: false
  gitconfig: []
  log_dir: "/home/git/gdk/log/gitaly"
  repository_storages: "/home/git/gdk/repository_storages"
  ruby_dir: "/home/git/gdk/gitaly/ruby"
  runtime_dir: "/home/git/gdk/tmp"
  storage_count: 1
  storage_dir: "/home/git/gdk/repositories"
gitlab:
  auto_update: true
  cache_classes: false
  dir: "/home/git/gdk/gitlab"
  gitaly_disable_request_limits: false
  log_dir: "/home/git/gdk/gitlab/log"
  rails:
    address: ''
    bootsnap: true
    bundle_gemfile: "/home/git/gdk/gitlab/Gemfile"
    databases:
      ci:
        enabled: true
        use_main_database: false
    hostname: 127.0.0.1
    https:
      enabled: false
    multiple_databases: false
    port: 3000
    puma:
      threads_max: 4
      threads_min: 1
      workers: 2
  rails_background_jobs:
    sidekiq_exporter_enabled: false
    sidekiq_exporter_port: 3807
    sidekiq_health_check_enabled: false
    sidekiq_health_check_port: 3907
    timeout: 10
    verbose: false
gitlab_docs:
  auto_update: true
  enabled: false
  https: false
  port: 3005
  port_https: 3030
gitlab_elasticsearch_indexer:
  auto_update: true
gitlab_k8s_agent:
  agent_listen_address: 127.0.0.1:8150
  agent_listen_network: tcp
  auto_update: true
  enabled: false
  internal_api_listen_address: 127.0.0.1:8153
  internal_api_listen_network: tcp
  k8s_api_listen_address: 127.0.0.1:8154
  k8s_api_listen_network: tcp
  private_api_listen_address: 127.0.0.1:8155
  private_api_listen_network: tcp
gitlab_metrics_exporter:
  auto_update: true
  dir: "/home/git/gdk/gitlab-metrics-exporter"
  enabled: true
gitlab_operator:
  auto_update: true
  enabled: false
gitlab_pages:
  access_control: false
  auth_client_id: ''
  auth_client_secret: ''
  auto_update: true
  enable_custom_domains: false
  enabled: false
  host: 127.0.0.1.nip.io
  port: 3010
  secret_file: "/home/git/gdk/gitlab-pages-secret"
  verbose: false
gitlab_runner:
  auto_update: true
  enabled: false
gitlab_shell:
  auto_update: true
  dir: "/home/git/gdk/gitlab-shell"
gitlab_spamcheck:
  auto_update: true
  enabled: false
  external_port: 8080
  inspector_url: http://127.0.0.1:8888/api/v1/isspam/issue
  monitor_mode: false
  output: stdout
  port: 8001
gitlab_ui:
  auto_update: true
  enabled: false
grafana:
  enabled: false
  port: 4000
hostname: 127.0.0.1
https:
  enabled: false
listen_address: 127.0.0.1
load_balancing:
  enabled: false
mattermost:
  enabled: false
  image: mattermost/mattermost-preview
  port: 8065
nginx:
  bin: "/usr/local/bin/nginx"
  enabled: false
  http:
    enabled: false
    port: 8080
  http2:
    enabled: false
  listen: 127.0.0.1
  ssl:
    certificate: localhost.crt
    key: localhost.key
object_store:
  backup_remote_directory: ''
  connection:
    provider: AWS
    aws_access_key_id: minio
    aws_secret_access_key: gdk-minio
    region: gdk
    endpoint: http://127.0.0.1:9000
    path_style: true
  consolidated_form: false
  enabled: false
  host: 127.0.0.1
  objects:
    artifacts:
      bucket: artifacts
    external_diffs:
      bucket: external-diffs
    lfs:
      bucket: lfs-objects
    uploads:
      bucket: uploads
    packages:
      bucket: packages
    dependency_proxy:
      bucket: dependency-proxy
    terraform_state:
      bucket: terraform
    pages:
      bucket: pages
  port: 9000
omniauth:
  github:
    client_id: ''
    client_secret: ''
    enabled: false
  google_oauth2:
    client_id: ''
    client_secret: ''
    enabled: ''
  group_saml:
    enabled: false
omnibus_gitlab:
  auto_update: true
  enabled: false
openldap:
  enabled: false
packages: {}
port: 3000
postgresql:
  active_version: '12.10'
  bin: "/usr/local/bin/postgres"
  bin_dir: "/usr/local/bin"
  data_dir: "/home/git/gdk/postgresql/data"
  dir: "/home/git/gdk/postgresql"
  geo:
    dir: "/home/git/gdk/postgresql-geo"
    host: "/home/git/gdk/postgresql-geo"
    port: 5431
  host: "/home/git/gdk/postgresql"
  port: 5432
  replica:
    enabled: false
  replica_data_dir: "/home/git/gdk/postgresql-replica/data"
  replica_dir: "/home/git/gdk/postgresql-replica"
  replication_user: gitlab_replication
praefect:
  address: "/home/git/gdk/praefect.socket"
  config_file: "/home/git/gdk/gitaly/praefect.config.toml"
  database:
    dbname: praefect_development
    host: "/home/git/gdk/postgresql"
    port: 5432
    sslmode: disable
  enabled: true
  node_count: 1
prometheus:
  enabled: false
  gitaly_exporter_port: 9236
  gitlab_shell_exporter_port: 9122
  port: 9090
  praefect_exporter_port: 10101
  workhorse_exporter_port: 9229
redis:
  databases:
    development:
      cache: 2
      queues: 1
      rate_limiting: 4
      sessions: 5
      shared_state: 0
      trace_chunks: 3
    test:
      cache: 12
      queues: 11
      rate_limiting: 14
      sessions: 15
      shared_state: 10
      trace_chunks: 13
  dir: "/home/git/gdk/redis"
registry:
  api_host: 127.0.0.1
  auth_enabled: true
  compatibility_schema1_enabled: false
  enabled: false
  gid: ''
  host: 127.0.0.1
  image: registry.gitlab.com/gitlab-org/build/cng/gitlab-container-registry:v3.39.2-gitlab
  listen_address: 127.0.0.1
  port: 5000
  self_signed: false
  uid: ''
relative_url_root: ''
repositories:
  charts_gitlab: https://gitlab.com/gitlab-org/charts/gitlab.git
  gitaly: https://gitlab.com/gitlab-org/gitaly.git
  gitlab: https://gitlab.com/gitlab-org/gitlab.git
  gitlab_docs: https://gitlab.com/gitlab-org/gitlab-docs.git
  gitlab_elasticsearch_indexer: https://gitlab.com/gitlab-org/gitlab-elasticsearch-indexer.git
  gitlab_k8s_agent: https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent.git
  gitlab_metrics_exporter: https://gitlab.com/gitlab-org/gitlab-metrics-exporter.git
  gitlab_operator: https://gitlab.com/gitlab-org/cloud-native/gitlab-operator.git
  gitlab_pages: https://gitlab.com/gitlab-org/gitlab-pages.git
  gitlab_runner: https://gitlab.com/gitlab-org/gitlab-runner.git
  gitlab_shell: https://gitlab.com/gitlab-org/gitlab-shell.git
  gitlab_spamcheck: https://gitlab.com/gitlab-org/spamcheck.git
  gitlab_ui: https://gitlab.com/gitlab-org/gitlab-ui.git
  omnibus_gitlab: https://gitlab.com/gitlab-org/omnibus-gitlab.git
repositories_root: "/home/git/gdk/repositories"
repository_storages: "/home/git/gdk/repository_storages"
restrict_cpu_count: -1
runner:
  bin: "/usr/local/bin/gitlab-runner"
  config_file: "/home/git/gdk/gitlab-runner-config.toml"
  enabled: false
  executor: docker
  extra_hosts: []
  image: gitlab/gitlab-runner:latest
  install_mode: binary
  network_mode_host: false
  token: 'DEFAULT TOKEN: Register your runner to get a valid token'
snowplow_micro:
  enabled: false
  image: snowplow/snowplow-micro:latest
  port: 9091
sshd:
  additional_config: ''
  authorized_keys_file: "/home/git/gdk/.ssh/authorized_keys"
  bin: "/usr/local/sbin/sshd"
  enabled: true
  host_key: ''
  host_key_algorithms:
  - rsa
  - ed25519
  host_keys:
  - "/home/git/gdk/openssh/ssh_host_rsa_key"
  - "/home/git/gdk/openssh/ssh_host_ed25519_key"
  listen_address: 127.0.0.1
  listen_port: 2222
  proxy_protocol: false
  use_gitlab_sshd: true
  user: git
  web_listen: 127.0.0.1:9122
tracer:
  build_tags: tracer_static tracer_static_jaeger
  jaeger:
    enabled: false
    listen_address: 127.0.0.1
    version: 1.21.0
username: git
webpack:
  host: 127.0.0.1
  incremental: true
  incremental_ttl: 30
  live_reload: true
  port: 3808
  public_address: ''
  sourcemaps: true
  static: false
  vendor_dll: false
workhorse:
  configured_port: 3333
